# Contributing

Contributions are welcome!

Please share any general questions, feature requests, or product feedback in our
[Convex Discord Community](https://convex.dev/community). We're particularly
excited to see what you build on Convex!

Please ensure that rust code is formatted with
[cargo fmt](https://github.com/rust-lang/rustfmt) and markdown files are
formatted with [prettier](https://prettier.io/).

Run tests with

```
cargo test
cargo test --manifest-path sync_types
cargo test --manifest-path value
```

Convex is a fast moving project developed by a dedicated team. We're excited to
contribute to the community by releasing this code, but we want to manage
expectations as well.

- We are a small company with a lot of product surface area.
- We value a cohesive developer experience for folks building applications
  across all of our languages and platforms.
- We value transparency in how we operate.

We're excited for community PRs. Be aware we may not get to it for a while.
Smaller PRs that only affect documentation/comments are easier to review and
integrate. For any larger or more fundamental changes, get in touch with us on
Discord before you put in too much work to see if it's consistent with our short
term plan. We think carefully about how our APIs contribute to a cohesive
product, so chatting up front goes a long way.
